Автор Тема: [Решено] Debian Squeeze обновить ядро до 2.6.37 - 39  (Прочитано 5000 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн Artik

  • Новичок форума
  • Сообщений: 6
В Debian Squeeze необходимо установить accel-ppp, но ядро 2.6.32 не поддерживает модуль pptp. Очень нужно обновить ядро до 2.6.37 или выше.

В сети нашёл пару статей как обновить, например ( http://www.mini-server.ru/faq/os/162-kernel-on-debian-squeeze ).
Но в репозиториях не нашёл ничего.  :(

Подскажите где я могу почитать по этой теме, или если кому не сложно опишите как мне обновиться.
« Последнее редактирование: 14 Мая 2013, 11:43:29 от qupl »
 

Оффлайн Malaheenee

Re: Debian Squeeze обновить ядро до 2.6.37 - 39
« Ответ #1 : 27 Апреля 2012, 10:03:18 »
Подключаете бэкпорты и будет Вам счастье.

sudo gedit /etc/apt/sources.list
deb http://backports.debian.org/debian-backports squeeze-backports main contrib non-free
sudo aptitude update
sudo aptitude install linux-image-3.2.0-0.bpo.2-686-pae
« Последнее редактирование: 27 Апреля 2012, 10:07:33 от Malaheenee »
Все мы где-то, когда-то и в чем-то были новичками.
 

Оффлайн Artik

  • Новичок форума
  • Сообщений: 6
Re: Debian Squeeze обновить ядро до 2.6.37 - 39
« Ответ #2 : 27 Апреля 2012, 10:19:59 »
Подключаете бэкпорты и будет Вам счастье.

sudo gedit /etc/apt/sources.list
deb http://backports.debian.org/debian-backports squeeze-backports main contrib non-free
sudo aptitude update
sudo aptitude install linux-image-3.2.0-0.bpo.2-686-pae


root@bras:~# apt-get install linux-image-3.2.0-0.bpo.2-686-pae
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 linux-image-3.2.0-0.bpo.2-686-pae : Зависит: linux-base (>= 3~) но 2.6.32-41squeeze2 будет установлен
                                     Рекомендует: firmware-linux-free (>= 3~) но он не будет установлен
                                     Ломает: initramfs-tools (< 0.99~) но 0.98.8 будет установлен
E: Сломанные пакеты


Забыл сказать, Debian стоит на VirtualBox'е   x32
 

Оффлайн Malaheenee

Re: Debian Squeeze обновить ядро до 2.6.37 - 39
« Ответ #3 : 27 Апреля 2012, 10:21:13 »
У Вас там что, полсистемы гвоздиками прибито?
sudo aptitude install linux-image-3.2.0-0.bpo.2-686-pae linux-base initramfs-tools и что там еще попросит.
Все мы где-то, когда-то и в чем-то были новичками.
 

Оффлайн Artik

  • Новичок форума
  • Сообщений: 6
Re: Debian Squeeze обновить ядро до 2.6.37 - 39
« Ответ #4 : 27 Апреля 2012, 10:24:23 »
Систему только установил.

Сообщение объединено: 27 Апреля 2012, 10:33:06
Установил linux-base, firmware-linux-free.
initramfs-tools установлена последняя версия

Но, при попытки установить linux-image-3.2.0-0.bpo.2-686-pae  всё та же история
« Последнее редактирование: 27 Апреля 2012, 10:33:06 от Artik »
 

Оффлайн Malaheenee

Re: Debian Squeeze обновить ядро до 2.6.37 - 39
« Ответ #5 : 27 Апреля 2012, 10:35:10 »
Пардон, все время забываем:
sudo aptitude install -t squeeze-backports linux-image-3.2.0-0.bpo.2-686-pae linux-base initramfs-tools и что там еще ему надо
Все мы где-то, когда-то и в чем-то были новичками.
 

Оффлайн Artik

  • Новичок форума
  • Сообщений: 6
Re: Debian Squeeze обновить ядро до 2.6.37 - 39
« Ответ #6 : 27 Апреля 2012, 12:06:06 »
root@bras:~# apt-get install -t linux-image-3.2.0-0.bpo.2-686-pae
Чтение списков пакетов... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Готово
обновлено 0, установлено 0 новых пакетов, для удаления отмечено 0 пакетов, и 9 пакетов не обновлено.
root@bras:~# uname -a
Linux bras 2.6.32-5-686 #1 SMP Mon Jan 16 16:04:25 UTC 2012 i686 GNU/Linux

Странно это всё как то :o
« Последнее редактирование: 27 Апреля 2012, 12:14:54 от Artik »
 

Оффлайн Brainey

Re: Debian Squeeze обновить ядро до 2.6.37 - 39
« Ответ #7 : 27 Апреля 2012, 14:13:39 »
Странно это всё как то :o
Освойте aptitude и таких странностей станет меньше. Например, список доступных пакетов linux-image можно просмотреть командой aptitude search linux-image Справку по остальным параметрам ищите на форуме/в гугле или читайте встроенный хелп/ман.
Конференция форума в jabber: debianforum@conference.jabber.ru | Клуб кедоводов: kde@conference.jabber.ru
 

Оффлайн Artik

  • Новичок форума
  • Сообщений: 6
Re: Debian Squeeze обновить ядро до 2.6.37 - 39
« Ответ #8 : 27 Апреля 2012, 14:23:09 »
Аналогично :(

root@bras:~# aptitude install -t linux-image-3.2.0-0.bpo.2-686-pae              Ни одного пакета не будет установлено, обновлено или удалено.
0 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для удаления, и 0 пакетов не обновлено.
Необходимо получить 0 B архивов. После распаковки 0 B будет занято.
root@bras:~# aptitude install -t linux-image-3.2.0-0.bpo.1-686-pae
Ни одного пакета не будет установлено, обновлено или удалено.
0 пакетов обновлено, 0 установлено новых, 0 пакетов отмечено для удаления, и 0 пакетов не обновлено.
Необходимо получить 0 B архивов. После распаковки 0 B будет занято.

Может есть какой нибудь дистрибутив уже с ядором 2.6.37 или выше?
« Последнее редактирование: 27 Апреля 2012, 14:32:14 от Artik »
 

Оффлайн Malaheenee

Re: Debian Squeeze обновить ядро до 2.6.37 - 39
« Ответ #9 : 27 Апреля 2012, 18:31:41 »
Artik, не читайте чрез строчку:
Скопипастите, если никак не дохо... получается:
sudo aptitude install -t squeeze-backports linux-image-3.2.0-0.bpo.2-686-pae
Все мы где-то, когда-то и в чем-то были новичками.
 

Оффлайн Artik

  • Новичок форума
  • Сообщений: 6
Re: Debian Squeeze обновить ядро до 2.6.37 - 39
« Ответ #10 : 28 Апреля 2012, 07:01:19 »
Спасибо огромное, что ткнул носом показал.
Денёк вчера был не из лёгких, вот и не увидел...
 

Оффлайн Malaheenee

Re: Debian Squeeze обновить ядро до 2.6.37 - 39
« Ответ #11 : 29 Апреля 2012, 04:31:41 »
Artik, не за что. Бывает такое :)
Все мы где-то, когда-то и в чем-то были новичками.
 

Теги:
     

    [Решено!] Проблема со сборкой ProFTPD из исходников.

    Автор Sferg

    Ответов: 2
    Просмотров: 2202
    Последний ответ 16 Июня 2013, 15:00:09
    от Sferg
    [Решено] Как отключить lightdm ?

    Автор anoobis

    Ответов: 10
    Просмотров: 6178
    Последний ответ 19 Декабря 2016, 10:25:33
    от ferum
    [РЕШЕНО] Монтирование дискет 3.5''

    Автор speed_vm

    Ответов: 14
    Просмотров: 4329
    Последний ответ 25 Апреля 2014, 13:24:35
    от speed_vm
    [Решено]unknown option "nsdelegate"

    Автор Eccentric

    Ответов: 8
    Просмотров: 2522
    Последний ответ 24 Марта 2019, 18:14:49
    от Eccentric
    [РЕШЕНО] Ошибка в kwrite или нет?

    Автор Metrix

    Ответов: 3
    Просмотров: 2615
    Последний ответ 08 Марта 2011, 00:38:52
    от Ghostdmn